## org.eclipse.emf.query.conditions.eobjects
Class EObjectConditionAdapter

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.EObjectConditionAdapter

    public class EObjectConditionAdapter

extends EObjectCondition

This is an adapter class that takes in a `Condition` object and wraps it in order to adapt it to an `EObjectCondition`. Evaluation is forwarded to the adapted `Condition` object, while the `PruneHandler`used defaults to PruneHandler.NEVER``

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectConditionAdapter(Condition condition)` A simple constructor that takes in the `Condition` object to adapt.
`EObjectConditionAdapter(Condition condition, PruneHandler pruneHandler)` A constructor that takes in the `Condition` object to adapt, and the `PruneHandler` to use.

Method Summary
`boolean` `isSatisfied(EObject eObject)` The implementation of this function simply forwards the actual evaluation to the adapted `Condition`.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectConditionAdapter

    public EObjectConditionAdapter(Condition condition)

  A simple constructor that takes in the `Condition` object to adapt. It uses PruneHandler.NEVER as its prune-handler.

  Parameters:
    `condition` - The `Condition` object to be adapted

### EObjectConditionAdapter

    public EObjectConditionAdapter(Condition condition,
                                   PruneHandler pruneHandler)

  A constructor that takes in the `Condition` object to adapt, and the `PruneHandler` to use.

  Parameters:
    `condition` - The `Condition` object to be adapted
    `pruneHandler` - the `PruneHandler` to consult for pruning

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  The implementation of this function simply forwards the actual evaluation to the adapted `Condition`.

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.